Subject: Re: [lojban] Breaking up compound cmavo

From: Richard Curnow <[email-masked]>
Date: Sun, 18 Mar 2001 22:41:30 +0000

On Sun, Mar 18, 2001 at 01:50:16PM -0500, John Cowan wrote:
> [email-masked] scripsit:
> > I'm trying to figure out how to divide cmavo that have been stuck 
> > together. For example, consider co'omi'e. The approach I'd taken 
> > was to compare the word against a sorted cmavo list, increasing the 
> > size of the extracted token character by character until I found an 
> > exact match. The problem with this is that after extracting "co", 
> > I'd have found a match and then would try to make sense out 
> > of "'omi'e" -- without success. 
> 
> Break in front of each consonant, that's all. FOr this purpose ' is
> not a consonant.
> 

Also, if any periods (full-stops) occur in the word, break at those too,
as though they were a space.

-- 
----------------------------------------------------------------------
Richard P. Curnow [email-masked]
Weston-super-Mare
United Kingdom http://go.to/richard.curnow/